<?php
	include("ini.inc.php");
	include("namen.inc.php");
	require_once $_SERVER['DOCUMENT_ROOT'] . '/db_connection.php';
	$arr_iid = (isset($_POST["arr_iid"])) ? $_POST ["arr_iid"] : "";
	$arr_zeilen=array();
	$arr_sorter=array();
	foreach($arr_iid as $i) {
		if(($i > 300000) AND ($i < 400000)) {
			$sql_select = "SELECT * FROM melissa WHERE IID = " .  $i ;
			$sql_result = $db->query($sql_select);
			while ($row = $sql_result->fetch_object()) {
				$ausgabe = "";
				$bis="";
				$iid = $row->IID;
				$autor = $row->Autor;
				$autor = erster_name($autor);
				$titel = $row->Titel;
				if ($titel != "" && $autor != "")  { $titel = " &ndash; " . $titel; }
				$p = " p. ". $row->Seite;
				if ($row->Bis != "") {
					$bis = "-" . $row->Bis; 
					$p = " pp. ". $row->Seite; 
				}
				$fasc = $row->Faszikel;	
				$In = " &ndash; <u>In</u>: Melissa, n. " . $fasc . " (" . $row->Datum . ")," . $p . $bis . ".";
				$ausgabe = $autor . $titel . $In;
			// Ausgabe-String in erstes Wort und alles Folgende zerlegen
				$ew = substr($ausgabe, 0,  strpos($ausgabe, " "));
				$af = substr($ausgabe, strpos($ausgabe, " "));
			// erstes Wort groß und sperren
				$ew_gs = mb_strtoupper($ew, "UTF-8");
				$ew_gs = "<span style='letter-spacing:1px;'>$ew_gs</span>";
			// neuer Ausgabe-String in Zeilen-Array
				$arr_sorter[] = $ew_gs . $af;
				$ausgabe = $ew_gs . $af . "_" . $iid . "#";	
				$arr_zeilen[] = $ausgabe;
			}
		}
	}
	$db->close();
	array_multisort($arr_sorter, $arr_zeilen);
	echo json_encode($arr_zeilen);
?>
